Drupalで複数のjQueryを動かす

Drupal6でまだまだ頑張るんだが、Drupal6ではjQueryのバージョンが1.3.2で随分古いもの。

最新のバージョンでしか動かない場合などに、別で呼び込んで対応させる。

例えば、Slidebarsを動かしたい場合。jQueryのバージョンは1.8以上が必要。

そんなときは

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script>
    var $1102 = $.noConflict(true);
</script>
<script>
(function($) {
$(document).ready(function() {
$.slidebars();
});
}) ($1102);
</script>
<script src="/sites/all/themes/てーま名/js/slidebars.js"></script>

で共存が出来るようだ。もちろん、

<script src="/sites/all/themes/てーま名/js/slidebars.js"></script>

の最後の部分は

}; // End Slidebars function.
}) ($1102);

に編集する。